# NVTessellationProgram5 (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class NVTessellationProgram5

    java.lang.Object
      org.lwjgl.opengl.NVTessellationProgram5

    public final class NVTessellationProgram5

extends java.lang.Object

Field Summary
`static int` `GL_MAX_PROGRAM_PATCH_ATTRIBS_NV` Accepted by the <pname> parameter of GetProgramivARB:

`static int`

`GL_TESS_CONTROL_PROGRAM_NV`
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of ProgramStringARB, BindProgramARB, ProgramEnvParameter4[df][v]ARB, ProgramLocalParameter4[df][v]ARB, GetProgramEnvParameter[df]vARB, GetProgramLocalParameter[df]vARB, GetProgramivARB and GetProgramStringARB:

`static int` `GL_TESS_CONTROL_PROGRAM_PARAMETER_BUFFER_NV` Accepted by the <target> parameter of ProgramBufferParametersfvNV, ProgramBufferParametersIivNV, and ProgramBufferParametersIuivNV, BindBufferRangeNV, BindBufferOffsetNV, BindBufferBaseNV, and BindBuffer and the <value> parameter of GetIntegerIndexedvEXT:

`static int`

`GL_TESS_EVALUATION_PROGRAM_NV`
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of ProgramStringARB, BindProgramARB, ProgramEnvParameter4[df][v]ARB, ProgramLocalParameter4[df][v]ARB, GetProgramEnvParameter[df]vARB, GetProgramLocalParameter[df]vARB, GetProgramivARB and GetProgramStringARB:

`static int` `GL_TESS_EVALUATION_PROGRAM_PARAMETER_BUFFER_NV` Accepted by the <target> parameter of ProgramBufferParametersfvNV, ProgramBufferParametersIivNV, and ProgramBufferParametersIuivNV, BindBufferRangeNV, BindBufferOffsetNV, BindBufferBaseNV, and BindBuffer and the <value> parameter of GetIntegerIndexedvEXT:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TESS_CONTROL_PROGRAM_NV

    public static final int GL_TESS_CONTROL_PROGRAM_NV

  Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of ProgramStringARB, BindProgramARB, ProgramEnvParameter4[df][v]ARB, ProgramLocalParameter4[df][v]ARB, GetProgramEnvParameter[df]vARB, GetProgramLocalParameter[df]vARB, GetProgramivARB and GetProgramStringARB:

  See Also:
    Constant Field Values

### GL_TESS_EVALUATION_PROGRAM_NV

    public static final int GL_TESS_EVALUATION_PROGRAM_NV

  Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of ProgramStringARB, BindProgramARB, ProgramEnvParameter4[df][v]ARB, ProgramLocalParameter4[df][v]ARB, GetProgramEnvParameter[df]vARB, GetProgramLocalParameter[df]vARB, GetProgramivARB and GetProgramStringARB:

  See Also:
    Constant Field Values

### GL_TESS_CONTROL_PROGRAM_PARAMETER_BUFFER_NV

    public static final int GL_TESS_CONTROL_PROGRAM_PARAMETER_BUFFER_NV

  Accepted by the <target> parameter of ProgramBufferParametersfvNV, ProgramBufferParametersIivNV, and ProgramBufferParametersIuivNV, BindBufferRangeNV, BindBufferOffsetNV, BindBufferBaseNV, and BindBuffer and the <value> parameter of GetIntegerIndexedvEXT:

  See Also:
    Constant Field Values

### GL_TESS_EVALUATION_PROGRAM_PARAMETER_BUFFER_NV

    public static final int GL_TESS_EVALUATION_PROGRAM_PARAMETER_BUFFER_NV

  Accepted by the <target> parameter of ProgramBufferParametersfvNV, ProgramBufferParametersIivNV, and ProgramBufferParametersIuivNV, BindBufferRangeNV, BindBufferOffsetNV, BindBufferBaseNV, and BindBuffer and the <value> parameter of GetIntegerIndexedvEXT:

  See Also:
    Constant Field Values

### GL_MAX_PROGRAM_PATCH_ATTRIBS_NV

    public static final int GL_MAX_PROGRAM_PATCH_ATTRIBS_NV

  Accepted by the <pname> parameter of GetProgramivARB:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.